Versions of Desktop and Device manager for curve 8330?
vanderberry
Newbie

What are the latest version compatible with the Curve 8330?

My vista OS laptop says there is a conflict and that newer versions are available; but nothing on blackberry site says what versions are supported by my 8330....

0 Likes
Reply
2 Replies
Nobody
Newbie
I use 4.6 with my curve.  Works well :smileyvery-happy:
0 Likes
Reply
cg20023
Newbie

for your blackberry curve you can use blackberry desktop s/w 4.3 and the newest is 4.5 (4.7 is for storm.. you could use it but would recommend 4.5 first) 

0 Likes
Reply